/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  IFollowSBT,
  IFollowSBTInterface,
} from "../../../contracts/interfaces/IFollowSBT";

const _abi = [
  {
    inputs: [
      {
        internalType: "uint256",
        name: "profileId",
        type: "uint256",
      },
      {
        internalType: "string",
        name: "name",
        type: "string",
      },
      {
        internalType: "string",
        name: "symbol",
        type: "string",
      },
    ],
    name: "initialize",
    outputs: [],
    stateMutability: "nonpayable",
    type: "function",
  },
  {
    inputs: [
      {
        internalType: "address",
        name: "to",
        type: "address",
      },
    ],
    name: "mint",
    outputs: [
      {
        internalType: "uint256",
        name: "",
        type: "uint256",
      },
    ],
    stateMutability: "nonpayable",
    type: "function",
  },
] as const;

export class IFollowSBT__factory {
  static readonly abi = _abi;
  static createInterface(): IFollowSBTInterface {
    return new utils.Interface(_abi) as IFollowSBTInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): IFollowSBT {
    return new Contract(address, _abi, signerOrProvider) as IFollowSBT;
  }
}
